# IRdMESettings Struct Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | SetSelectionColor ([in] IRdColor *pVal)
HRESULT | GetSelectionColor ([out] IRdColor **pVal)
HRESULT | SetObjectOpacity ([in] RtFloat fVal)
HRESULT | GetObjectOpacity ([out] RtFloat *pfVal)
HRESULT | SetDisplayTriangles ([in] BOOL Val)
HRESULT | GetDisplayTriangles ([out] BOOL *pVal)
HRESULT | SetDefaultPointSize ([in] RtFloat pVal)
HRESULT | GetDefaultPointSize ([out] RtFloat *pVal)
HRESULT | SetDefaultVertexColor ([in] RtDWORD pVal)
HRESULT | GetDefaultVertexColor ([out] RtDWORD *pVal)
HRESULT | SetDefaultFaceedgeColor ([in] RtDWORD pVal)
HRESULT | GetDefaultFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | SetDefaultTriangleedgeColor ([in] RtDWORD pVal)
HRESULT | GetDefaultTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | SetDefaultTriangleColor ([in] RtDWORD pVal)
HRESULT | GetDefaultTriangleColor ([out] RtDWORD *pVal)
HRESULT | SetDefaultSdsColor ([in] RtDWORD pVal)
HRESULT | GetDefaultSdsColor ([out] RtDWORD *pVal)
HRESULT | SetShowSdsFaces ([in] RtBool pVal)
HRESULT | GetShowSdsFaces ([out] RtBool *pVal)
HRESULT | SetShowSdsTriangles ([in] RtBool pVal)
HRESULT | GetShowSdsTriangles ([out] RtBool *pVal)
HRESULT | SetHighlitePointSize ([in] RtFloat pVal)
HRESULT | GetHighlitePointSize ([out] RtFloat *pVal)
HRESULT | SetHighliteVertexColor ([in] RtDWORD pVal)
HRESULT | GetHighliteVertexColor ([out] RtDWORD *pVal)
HRESULT | SetHighliteTriangleColor ([in] RtDWORD pVal)
HRESULT | GetHighliteTriangleColor ([out] RtDWORD *pVal)
HRESULT | SetHighliteFacetriangleColor ([in] RtDWORD pVal)
HRESULT | GetHighliteFacetriangleColor ([out] RtDWORD *pVal)
HRESULT | SetHighliteEdgeColor ([in] RtDWORD pVal)
HRESULT | GetHighliteEdgeColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedPointSize ([in] RtFloat pVal)
HRESULT | GetSelectedPointSize ([out] RtFloat *pVal)
HRESULT | SetSelectedVertexColor ([in] RtDWORD pVal)
HRESULT | GetSelectedVertexColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedEdgeFaceedgeColor ([in] RtDWORD pVal)
HRESULT | GetSelectedEdgeFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedEdgeTriangleedgeColor ([in] RtDWORD pVal)
HRESULT | GetSelectedEdgeTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedTriangleColor ([in] RtDWORD pVal)
HRESULT | GetSelectedTriangleColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedTriangleedgeColor ([in] RtDWORD pVal)
HRESULT | GetSelectedTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedFaceColor ([in] RtDWORD pVal)
HRESULT | GetSelectedFaceColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedFaceFaceedgeColor ([in] RtDWORD pVal)
HRESULT | GetSelectedFaceFaceedgeColor ([out] RtDWORD *pVal)
HRESULT | SetSelectedFaceTriangleedgeColor ([in] RtDWORD pVal)
HRESULT | GetSelectedFaceTriangleedgeColor ([out] RtDWORD *pVal)
HRESULT | SetSoftSelectionColor0 ([in] RtDWORD pVal)
HRESULT | GetSoftSelectionColor0 ([out] RtDWORD *pVal)
HRESULT | SetSoftSelectionColor1 ([in] RtDWORD pVal)
HRESULT | GetSoftSelectionColor1 ([out] RtDWORD *pVal)
HRESULT | SetSoftSelectionColor2 ([in] RtDWORD pVal)
HRESULT | GetSoftSelectionColor2 ([out] RtDWORD *pVal)

## Detailed Description

IRdMESettings interface

## Member Function Documentation

HRESULT IRdMESettings::SetSelectionColor | ( | [in] IRdColor * | pVal | ) |

Set the selection color.

Parameters:

  | pVal | [in] Color value to set.

HRESULT IRdMESettings::GetSelectionColor | ( | [out] IRdColor ** | pVal | ) |

Get the selection color.

Parameters:

  | pVal | [out] Returns value for color.

HRESULT IRdMESettings::SetObjectOpacity | ( | [in] RtFloat | fVal | ) |

Set object Opacity level.

Parameters:

  | fVal | [in] Opacity value to set.

HRESULT IRdMESettings::GetObjectOpacity | ( | [out] RtFloat * | pfVal | ) |

Get object Opacity level.

Parameters:

  | pfVal | [out] Returns opacity value.

HRESULT IRdMESettings::SetDisplayTriangles | ( | [in] BOOL | Val | ) |

Set the display triangles status (enable/disable).

Parameters:

  | Val | [in] Set display triangle status.

HRESULT IRdMESettings::GetDisplayTriangles | ( | [out] BOOL * | pVal | ) |

Get the display triangles status (enable/disable).

Returns:
  pVal [out] Get value for status.

HRESULT IRdMESettings::SetDefaultPointSize | ( | [in] RtFloat | pVal | ) |

Set default point size for mesh editor display.

Parameters:

  | pVal | [in] Value of point size by default.

HRESULT IRdMESettings::GetDefaultPointSize | ( | [out] RtFloat * | pVal | ) |

Get default point size.

Parameters:

  | pVal | [out] Returns value of point size by default.

HRESULT IRdMESettings::SetDefaultVertexColor | ( | [in] RtDWORD | pVal | ) |

Set default vertex color during mesh editing.

Parameters:

  | pVal | [in] Value for default vertex color during mesh editing.

HRESULT IRdMESettings::GetDefaultVertexColor | ( | [out] RtDWORD * | pVal | ) |

Get default vertex color during mesh editing.

Parameters:

  | pVal | [out] Returns default vertex color value.

HRESULT IRdMESettings::SetDefaultFaceedgeColor | ( | [in] RtDWORD | pVal | ) |

Set default face-edge color during mesh editing.

Parameters:

  | pVal | [in] Value for default face-edge color during mesh editing.

HRESULT IRdMESettings::GetDefaultFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get default face-edge color.

Parameters:

  | pVal | [out] Returns default face-edge color value during mesh editing.

HRESULT IRdMESettings::SetDefaultTriangleedgeColor | ( | [in] RtDWORD | pVal | ) |

Set default triangle-edge color during mesh editing.

Parameters:

  | pVal | [in] Value for default triangle-edge color during mesh editing.

HRESULT IRdMESettings::GetDefaultTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get default triangle-edge color.

Parameters:

  | pVal | [out] Returns default triangle-edge color value during mesh editing.

HRESULT IRdMESettings::SetDefaultTriangleColor | ( | [in] RtDWORD | pVal | ) |

Set default triangle color during mesh editing.

Parameters:

  | pVal | [in] Value for default triangle color during mesh editing.

HRESULT IRdMESettings::GetDefaultTriangleColor | ( | [out] RtDWORD * | pVal | ) |

Get default triangle color.

Parameters:

  | pVal | [out] Returns default triangle color during mesh editing.

HRESULT IRdMESettings::SetDefaultSdsColor | ( | [in] RtDWORD | pVal | ) |

Set default color of Sds (internal superface face-edges).

Parameters:

  | pVal | [in] Value for default Sds color.

HRESULT IRdMESettings::GetDefaultSdsColor | ( | [out] RtDWORD * | pVal | ) |

Get default Sds (internal superface face-edges) color.

Parameters:

  | pVal | [out] Returns default Sds color value.

HRESULT IRdMESettings::SetShowSdsFaces | ( | [in] RtBool | pVal | ) |

Enable/disable displaying of internal superface face-edges (eg. SDS subdivision faces).

Parameters:

  | pVal | [in] .

HRESULT IRdMESettings::GetShowSdsFaces | ( | [out] RtBool * | pVal | ) |

Get Show sds faces (enable/disable).

Parameters:

  | pVal | [out] Returns state of show for sds faces.

HRESULT IRdMESettings::SetShowSdsTriangles | ( | [in] RtBool | pVal | ) |

Set value for showing sds triangles (enable/disable).

Parameters:

  | pVal | [in] Set state of sds triangles to show during mesh editing.

HRESULT IRdMESettings::GetShowSdsTriangles | ( | [out] RtBool * | pVal | ) |

Get value for show sds triangles (enable/disble).

Parameters:

  | pVal | [out] Returns state of show for sds triangles.

HRESULT IRdMESettings::SetHighlitePointSize | ( | [in] RtFloat | pVal | ) |

Set highlighted point size

Parameters:

  | pVal | [in] Set value for point size for highlited vertices.

HRESULT IRdMESettings::GetHighlitePointSize | ( | [out] RtFloat * | pVal | ) |

Get highlited point size.

Parameters:

  | pVal | [out] Returns point size for highlited vertices.

HRESULT IRdMESettings::SetHighliteVertexColor | ( | [in] RtDWORD | pVal | ) |

Set highlited point color.

Parameters:

  | pVal | [in] Set color value for highlited vertices.

HRESULT IRdMESettings::GetHighliteVertexColor | ( | [out] RtDWORD * | pVal | ) |

Get highlited point color.

Parameters:

  | pVal | [out] Returns color value for highlited vertices.

HRESULT IRdMESettings::SetHighliteTriangleColor | ( | [in] RtDWORD | pVal | ) |

Set highlighted triangle color.

Parameters:

  | pVal | [in] Set color value for highlited triangles.

HRESULT IRdMESettings::GetHighliteTriangleColor | ( | [out] RtDWORD * | pVal | ) |

Get highlited triangle color.

Parameters:

  | pVal | [out] Returns color value for highlited triangles.

HRESULT IRdMESettings::SetHighliteFacetriangleColor | ( | [in] RtDWORD | pVal | ) |

Set highlited face-triangle color.

Parameters:

  | pVal | [in] Set value for highlited face-triangles.

HRESULT IRdMESettings::GetHighliteFacetriangleColor | ( | [out] RtDWORD * | pVal | ) |

Get highlited face-triangle color.

Parameters:

  | pVal | [out] Returns color value for highlited face-triangles.

HRESULT IRdMESettings::SetHighliteEdgeColor | ( | [in] RtDWORD | pVal | ) |

Set highlited edge color.

Parameters:

  | pVal | [in] Set color value for highlited edges.

HRESULT IRdMESettings::GetHighliteEdgeColor | ( | [out] RtDWORD * | pVal | ) |

Get highlited edge color.

Parameters:

  | pVal | [out] Returns color value for highlited edges.

HRESULT IRdMESettings::SetSelectedPointSize | ( | [in] RtFloat | pVal | ) |

Set selected point size.

Parameters:

  | pVal | [in] Set size value for selected vertices.

HRESULT IRdMESettings::GetSelectedPointSize | ( | [out] RtFloat * | pVal | ) |

Get selected point size.

Parameters:

  | pVal | [out] Returns size value for selected vertices.

HRESULT IRdMESettings::SetSelectedVertexColor | ( | [in] RtDWORD | pVal | ) |

Set selected vertex color.

Parameters:

  | pVal | [in] Set value for selected vertex color.

HRESULT IRdMESettings::GetSelectedVertexColor | ( | [out] RtDWORD * | pVal | ) |

Get selected vertex color.

Parameters:

  | pVal | [out] Returns color value for selected vertices.

HRESULT IRdMESettings::SetSelectedEdgeFaceedgeColor | ( | [in] RtDWORD | pVal | ) |

Set selected edge face-edge color.

Parameters:

  | pVal | [in] Set color value for selected edge-face-edges.

HRESULT IRdMESettings::GetSelectedEdgeFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get selected edge face-edge color.

Parameters:

  | pVal | [out] Returns color value for selected edge-face-edges.

HRESULT IRdMESettings::SetSelectedEdgeTriangleedgeColor | ( | [in] RtDWORD | pVal | ) |

Set selected edge triangle-edge color.

Parameters:

  | pVal | [in] Set color value for selected edge-triangle-edges.

HRESULT IRdMESettings::GetSelectedEdgeTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get selected edge triangle-edge color.

Parameters:

  | pVal | [out] Return color value for selected edge-triangle-edges.

HRESULT IRdMESettings::SetSelectedTriangleColor | ( | [in] RtDWORD | pVal | ) |

Set selected triangle color.

Parameters:

  | pVal | [in] Set color value for selected triangles.

HRESULT IRdMESettings::GetSelectedTriangleColor | ( | [out] RtDWORD * | pVal | ) |

Get selected triangle color.

Parameters:

  | pVal | [out] Returns color value for selected triangles.

HRESULT IRdMESettings::SetSelectedTriangleedgeColor | ( | [in] RtDWORD | pVal | ) |

Set color for selected triangle's edge.

Parameters:

  | pVal | [in] Set color value for selected triangle's edge.

HRESULT IRdMESettings::GetSelectedTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get color for selected triangle's edge.

Parameters:

  | pVal | [out] Returns color value for selected triangle's edge.

HRESULT IRdMESettings::SetSelectedFaceColor | ( | [in] RtDWORD | pVal | ) |

Set selected face color.

Parameters:

  | pVal | [in] Set color value for selected face.

HRESULT IRdMESettings::GetSelectedFaceColor | ( | [out] RtDWORD * | pVal | ) |

Get selected face color.

Parameters:

  | pVal | [out] Returns color value for selected face.

HRESULT IRdMESettings::SetSelectedFaceFaceedgeColor | ( | [in] RtDWORD | pVal | ) |

Set color for face-edge of selected face.

Parameters:

  | pVal | [in] Set color value for face-edge of selected face.

HRESULT IRdMESettings::GetSelectedFaceFaceedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get color for face-edge of selected face.

Parameters:

  | pVal | [out] Returns color value for face-edge of selected face.

HRESULT IRdMESettings::SetSelectedFaceTriangleedgeColor | ( | [in] RtDWORD | pVal | ) |

Set color for triangle-edge of selected face.

Parameters:

  | pVal | [in] Set color value for triangle-edge of selected face.

HRESULT IRdMESettings::GetSelectedFaceTriangleedgeColor | ( | [out] RtDWORD * | pVal | ) |

Get color for triangle-edge of selected face.

Parameters:

  | pVal | [out] Returns color value for triangle-edge of selected face.

HRESULT IRdMESettings::SetSoftSelectionColor0 | ( | [in] RtDWORD | pVal | ) |

Set color for vertex soft selections (weight 0).

Parameters:

  | pVal | [in] Set color value for soft-selections whose weight is 0.0.

HRESULT IRdMESettings::GetSoftSelectionColor0 | ( | [out] RtDWORD * | pVal | ) |

Get color for vertex soft selections (weight 0).

Parameters:

  | pVal | [out] Returns color value for soft-selections whose weight is 0.0.

HRESULT IRdMESettings::SetSoftSelectionColor1 | ( | [in] RtDWORD | pVal | ) |

Set color for vertex soft selections (weight 0.5).

Parameters:

  | pVal | [in] Set color value for soft-selections whose weight is 0.5.

HRESULT IRdMESettings::GetSoftSelectionColor1 | ( | [out] RtDWORD * | pVal | ) |

Get color for vertex soft selections (weight 0.5).

Parameters:

  | pVal | [out] Returns color value for soft-selections whose weight is 0.5.

HRESULT IRdMESettings::SetSoftSelectionColor2 | ( | [in] RtDWORD | pVal | ) |

Set color for vertex soft selections (weight 1).

Parameters:

  | pVal | [in] Set color value for soft-selections whose weight is 1.0.

HRESULT IRdMESettings::GetSoftSelectionColor2 | ( | [out] RtDWORD * | pVal | ) |

Get color for vertex soft selections (weight 1).

Parameters:

  | pVal | [out] Returns color value for soft-selections whose weight is 1.0.